FR EN DE ES IT PT
Naviguer dans les forums 
Trackers Ankama

Installer Dofus sous Ubuntu 17.10.x et supérieur en 64 bits

Par Wertak26 - ABONNÉ - 26 Février 2018 - 12:30:12
Réactions 99
Score : 328

Bonsoir à tous,

Le post ainsi que le script ont été mis à jour pour permettre l'installation de Dofus depuis la MàJ 2.48 du 18/09/2018.
Si vous avez le moindre problème ou trouvez le moindre bug sur le script, n'hésitez pas à m'en faire part.

Avec mes salutations,
Zhaith Izaliel.

0 0
Score : 70

Salut Zhaith

Tout d'abord merci de ton lien github, franchement c'est cool de voir des personnes aussi investies que toi.

J'avais Dofus qui marchait bien jusqu'à l'installation de wineHQ. J'ai suivi les instructions et tout semble ok mais en fait quand je lance "jouer" sur l'updater, celui-ci m'indique en rouge "le jeu ne s'est pas fermé correctement".

Le log de l'erreur : quand je clique sur les détails c'est "le plugin d'initialisation a échoué".

J'ai regardé si ce n'était pas un problème de wine, quand je lance wine en script j'obtiens une erreur :

Spoiler (cliquez ici pour afficher le spoil)

ERROR: ld.so: object '/usr/lib/gcc/x86_64-linux-gnu/5/libgomp.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS64): ignored.
wine-3.0.3

Je ne sais pas si c'est lié, si t'as des pistes je suis preneur !

Merci encore
0 0
Score : 328

Bonsoir JBC13,
Alors je viens de regarder et il semblerait que ce soit un problème de lien au niveau du path de la librairie qu'il demande de lancer.
Oui dit comme ça c'est pas franchement compréhensible hein, mais dans l'idée c'est qu'il ne trouve pas la librairie associée au lien:

Spoiler (cliquez ici pour afficher le spoil)

/usr/lib/gcc/x86_64-linux-gnu/5/libgomp.so
Du coup, je te propose de naviguer vers le dossier en question ("/usr/lib/gcc/x86_64-linux-gnu/5/") et de rechercher une librairie qui aurait le même nom que libgomp.so mais avec un numéro de version derrière. Si oui, tu devras faire un lien symbolique dans ton path vers celle ci avec la commande:

Spoiler (cliquez ici pour afficher le spoil)

sudo ln -s /usr/lib/gcc/x86_64-linux-gnu/5/librairie_trouvée /usr/lib/gcc/x86_64-linux-gnu/5/libgomp.so
Si elle n'existe pas, essaye de l'installer via l'apt-get en mettant son nom sans le ".so" ^^

Reviens vers moi si tu as résolu ou non ton problème.
Avec mes salutations,
Zhaith Izaliel
0 0
Score : 26

Salut,

Ton post m'avait permis d'installer Dofus 2.47 de façon super smooth, c'était top top top, un grand merci pour ton aide.

En 2.48 j'ai un problème avec l'installation Wine, lorsque je lance la ligne suivante:

Spoiler (cliquez ici pour afficher le spoil)

sudo apt-get install --install-recommends winehq-stable
je récupère l'erreur suivante:

Spoiler (cliquez ici pour afficher le spoil)

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :
Les paquets suivants contiennent des dépendances non satisfaites :
 linux-image-extra-4.4.0-128-generic : Dépend: linux-image-4.4.0-128-generic mais ne sera pas installé
 linux-image-extra-4.4.0-131-generic : Dépend: linux-image-4.4.0-131-generic mais ne sera pas installé
 linux-image-extra-4.4.0-135-generic : Dépend: linux-image-4.4.0-135-generic mais ne sera pas installé
 linux-image-generic : Dépend: linux-image-4.4.0-135-generic mais ne sera pas installé
 linux-signed-image-4.4.0-128-generic : Dépend: linux-image-4.4.0-128-generic (= 4.4.0-128.154) mais ne sera pas installé
 linux-signed-image-4.4.0-131-generic : Dépend: linux-image-4.4.0-131-generic (= 4.4.0-131.157) mais ne sera pas installé
 linux-signed-image-4.4.0-135-generic : Dépend: linux-image-4.4.0-135-generic (= 4.4.0-135.161) mais ne sera pas installé
 winehq-stable : Dépend: wine-stable (= 3.0.3~xenial)
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).
J'ai donc lancé la ligne apt-get -f install mais "des erreurs ont été rencontrées pendant l'execution" , voici la première:

Spoiler (cliquez ici pour afficher le spoil)

dpkg: erreur de traitement de l'archive /var/cache/apt/archives/linux-image-4.4.0-135-generic_4.4.0-135.161_amd64.deb (--unpack) :
 impossible de copier les données extraites pour « ./boot/System.map-4.4.0-135-generic » vers « /boot/System.map-4.4.0-135-generic.dpkg-new » : échec d'écriture (Aucun espace disponible sur le périphérique)
Aucun rapport « apport » n'a été créé car un disque plein a été signalé
                                                                       dpkg-deb : erreur : le sous-processus coller a été tué par le signal (Relais brisé (pipe))
Je ne sais pas comment faire de l'espace sur le périphérique en question. Si c'est ça le problème principale, pourriez-vous me guider? smile

Et donc tu l'auras compris je ne suis pas un crack de Linux, du tout.
0 0
Score : 167

Tu as trop de noyaux différents non ? Regarde pour ne garder que les 2/3 derniers.

0 0
Score : 26

Merci pour la réponse, mais malheureusement je n'ai aucune idée de comment je dois m'y prendre.
Tu peux me conseiller ou partager un lien qui explique ça?
 
 

0 0
Score : 328

Bonsoir CrazyBoomBoom,
Je te propose de lancer ces commandes une par une par et de voir ce que cela fait et voir si cela règle ton problème:

Spoiler (cliquez ici pour afficher le spoil)

sudo apt autoremove
sudo apt-get --fix-broken install
Dis moi si cela règle ton problème smile
Avec mes salutations,
Zhaith Izaliel
0 0
Score : 1

Bonsoir, j'ai moi meme installe dofus avant la MAJ 2.48 sur ubuntu 18.04 et ca tournait sans soucis, cependant depuis la MAJ et l'installation de wine, le jeu se lance dans un  cadre appele Windows Wine program loader, et je n'arrive pas a jouer en mode plein ecran, des suggestions pour resoudre ce probleme?

0 0
Score : 328

Bonjour,
Je te propose de lancer ces commandes et de me dire ce que tu vois:

Spoiler (cliquez ici pour afficher le spoil)

export WINEPREFIX=~/.wine
winecfg
Quand tu as lancé ton winecfg, une fenêtre apparaît avec les option de wine.
Dans la catégorie affichage coche la case "Capturer automatiquement le pointeur de la souris en mode plein écran" et décoche la case "émuler un bureau virtuel" si elle est cochée.

Reviens vers moi si tu as d'autres problèmes.
Avec mes salutations,
Zhaith Izaliel
0 0
Score : 328

Bonsoir,
Suite à mon utilisation intensive de Dofus ces temps-ci, j'ai découvert quelques problèmes inhérents au launcher et non à l'installation.
Si vous pouvez me permettre de vérifier la reproductibilité, nous pourrons envoyer un rapport de bug à Ankama. Merci de votre coopération.

Issues:

  • Le jeu ne se lance pas quand une autre application utilisant WINE est ouverte (Dans mon cas, Battle.net) - Correction possible : Dans un terminal, tapez «pkill wine» et relancez le launcher. (À TESTER)
 
  • Adobe Air m'offre un message d'erreur via WINE au lancement du jeu, mais ne semble pas l'affecter. (À TESTER)
Configuration:
  • Distribution: Kubuntu 18.04 amd64
  • Kernel: 4.15.0-34 generic
  • GPU: Intel core i3 4130 - 3.4 GHz
  • CPU: Geforce GTX 1060 6GB

Avec mes salutations,
Zhaith Izaliel
0 0
Score : 1

Salut !
Tout d'abord merci pour ton post, un peu d'entraide fait du bien smile

Personnellement je rencontre plusieurs problèmes.
Tout d'abord au moment de déplacez le dossier Dofus créé par l'archive dans /opt/ j'ai la ligne suivante :
mv: impossible de déplacer 'Dofus/' vers '/opt/Dofus': Le dossier n'est pas vide

Je me suis dis que tant pis ça ne m’empêchait pas d'ouvrir dofus via Téléchargements, mais lorsque je tape :

cd Téléchargements
cd Dofus
./Dofus

j'ai le droit au problème lié à la libpng12 :

/home/*****/Téléchargements/Dofus/transition/ankama-transition-dofus: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory
Dofus launcher failed to start or encountered an error

Donc rentre tes lignes de code et ce message s'affiche lors du sudo dpkg -i libpng12.deb :

/home/*****/Téléchargements/Dofus/transition/ankama-transition-dofus: error while loading shared libraries: libpng12.so.0: cannot open shared object file: No such file or directory
Dofus launcher failed to start or encountered an error

J'ai cherché un tas de solution à mon problème mais impossible de télécharger Dofus depuis cette mise à jour.
Je sais pas si toi ou quelqu'un d'autre sera dans la possibilité de m'aider ?

Merci d'avance smile

 

0 0
Score : 167

Le propriétaire du dossier Dofus doit être toi, si ce n'est pas le cas fait un chown -R [nom]: /opt/Dofus.
Il faut aussi que tu y aies accès (un petit chmod 777 do /opt, pour avoir les droits en écriture pour les mises à jour aussi).

Je crois que ton c/c de l'erreur a échoué d'ailleurs, mais avec ta distro et une recherche simple tu peux trouver le paquet (.deb .rpm ou autre) de libpng12 qu'il te faut.

0 0
Score : 108888

Hello ! J'ai installé Wine mais après avoir purgé adobeair, et autoremove les paquets useless, toujours pareil. Preuve en image.
Et en jeu, impossible de se connecter à la boutique (d'où le contenu rose?). Par contre je peux changer la qualité flash, par rapport à avant. Donc adobe me fait chier à moitié, c'est pas ouf...


edit : bon finalement c'est bon, j'ai réinstallé.

Par contre y a eu "Alerte de certificat : Certificat par un éditeur inconnu ou non fiable. Voulez-vous continuer?"

C'est sans risque ou ça craint un peu ?
0 0
Score : 167

Aucun soucis, j'avais posé la question pendant la bêta.

Par contre, je le redis, tu n'as plus besoin d'adobeair, tu peux le purger, si tu regardes bien dans les fichiers de jeu il a sa propre version d'incluse. Je suis sous Mint tout comme toi et tout ce qu'il faut pour jouer à Dofus c'est libpnj12-0; winehq-stable et Dofus.

0 0
Score : 108888

D'acc, nickel merci. Par contre l'alerte de sécurité pop à chaque fois que j'ouvre une instance de Dofus. Y a moyen de le dégager ou faut que je fasse avec ?

0 0
Score : 297

Merci beaucoup à toi ! T'en as sauvé plus d'un ça fait extrêmement plaisir !

0 0
Score : 3

euuh il y'a des bug lorsque je rentre en combat le jeu crash  aidez moi et  lorsque l'on déco reco en combat sa  bug a 100%

0 0
Score : 328

Salut,
Dans le script que tu as dû créer (qui se trouve, normalement dans /usr/local/bin), ajoute la ligne là juste après le "#!/bin/bash":

Spoiler (cliquez ici pour afficher le spoil)

export WINEDEBUG="-all"
Reviens vers moi si le problème persiste.
Avec mes salutations,
Zhaith Izaliel.
0 0
Score : 682

@Wertak26
Merci pour le nouveau tuto ; le premier coup ça n'a pas marché, mais j'avais oublié qu'il ne fallait pas coller le bloc mais faire ligne par ligne.
Là ça a l'air de fonctionner sur Ubuntu 18.04, à part que je n'ai pas le gras sur les objets/quêtes/pos dans le chat.

0 0
Score : 167

Pour ce problème ça vient de l'environnement / ta définition, j'ai remarqué ça.
Sur Mint en 1080p j'ai pas le gras mais en 4K oui, et avec KDE je l'ai bien partout.

0 0
Score : 44

Bonjour,
Pour la commande "sudo ./zh-iz-dofus-installer.sh [Dossier D'Installation]" par quoi dois-je remplacer [Dossier D'Installation] ? Merci smile

0 0
Score : 167

Par le chemin où tu veux que tes fichiers de jeu se trouvent, ils ne peuvent pas être déplacés sans réinstaller sur Linux parce que l'executable entre les chemins des sous dossiers en absolu et pas en relatif (pourquoi Ankama).

Tu peux mettre dans ~/Dofus smile

0 0
Score : 154

Merci ! J'ai suivie la procédure et ça tourne nickel pour moi wink

1 0
Score : 1

Salut j'ai bien wine sur mon pc, j'ai eu un premier problème: je ne pouvait pas faire de multicompte (le luncher crash), j'ai donc supprimer les fichers sur mon pc et relancer une nouvelle fois le script d'installation et maintenant le luncher ce ferme directement une fois que je lance le ./Dofus . 

0 0
Score : 682

Est-ce que vous aussi vous devez tout le temps redésactiver le mode restreint ? C'est soulant, en plus du fait que le nombre de machines est limité, il faut aussi régulièrement aller dans les options du compte pour les supprimer et pouvoir en remettre d'autres (les mêmes...).

0 0
Score : 189

Merci pour l'astuce ! Ça marche nickel avec la dernière version d'Ubuntu ! smile

Par contre, vous n'auriez pas une astuce pour faire fonctionner Dofus1.29 qui est dispo sur ce site ? J'ai beau l'installer, quand je clique sur jouer quand le launcher de lance, il disparaît aussitôt et plus rien ne se passe !

Auriez-vous une idée ? 

0 0
Score : -10

Salut , moi j'ai cette erreur au moment de l'installation de wine: E: Entrée 1 mal formée dans list fichier /etc/apt/sources.list.d/additional-repositories.list (Component)
E: La liste des sources ne peut être lue.
quand je met cette ligne: sudo apt-get update

Merci d'avance

0 0
Réagir à ce sujet